<?php

if ( class_exists("Kirki")){

	// HEADER SECTION

	Kirki::add_section( 'medical_healthcare_elementor_section_topbar', array(
	    'title'          => esc_html__( 'Header Settings', 'medical-healthcare-elementor' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'medical-healthcare-elementor' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_enable_toptext_heading',
		'priority'       => 1,
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Top Bar Info', 'medical-healthcare-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'medical_healthcare_elementor_sticky_header',
		'label'       => esc_html__( 'Enable/Disable Sticky Header', 'medical-healthcare-elementor' ),
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => 0,
		'priority'       => 1,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'medical-healthcare-elementor' ),
			'off' => esc_html__( 'Disable', 'medical-healthcare-elementor' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'priority'       => 1,
		'settings'    => 'medical_healthcare_elementor_menu_size_heading',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Menu Font Size(px)', 'medical-healthcare-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'medical_healthcare_elementor_menu_size',
		'label'       => __( 'Enter a value in pixels. Example:20px', 'medical-healthcare-elementor' ),
		'type'        => 'text',
		'priority'       => 1,
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'transport' => 'auto',
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => 'font-size',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'priority'       => 1,
		'settings'    => 'medical_healthcare_elementor_menu_text_transform_heading',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Menu Text Transform', 'medical-healthcare-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', array(
		'type'        => 'select',
		'priority'       => 1,
		'settings'    => 'medical_healthcare_elementor_menu_text_transform',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => 'uppercase',
		'choices'     => [
			'none' => esc_html__( 'Normal', 'medical-healthcare-elementor' ),
			'uppercase' => esc_html__( 'Uppercase', 'medical-healthcare-elementor' ),
			'lowercase' => esc_html__( 'Lowercase', 'medical-healthcare-elementor' ),
			'capitalize' => esc_html__( 'Capitalize', 'medical-healthcare-elementor' ),
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => ' text-transform',
			),
		),
	 ) );

	Kirki::add_field( 'theme_config_id', [
		'label'    =>  esc_html__( 'Add Topbar Text', 'medical-healthcare-elementor' ),
		'type'     => 'text',
		'settings' => 'medical_healthcare_elementor_header_toptxt',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
		'priority'       => 2,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    => esc_html__( 'Contact Text', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_contact_button_text',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
		'priority'       => 3,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'    =>  esc_html__( 'Contact Number', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_contact_number',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
		'priority'       => 4,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_enable_socail_link',
		'priority'       => 5,
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'medical-healthcare-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'priority'       => 6,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'medical-healthcare-elementor' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'medical-healthcare-elementor' ),
		'settings'     => 'medical_healthcare_elementor_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'medical-healthcare-elementor' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'medical-healthcare-elementor' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'medical-healthcare-elementor' ),
				'description' => esc_html__( 'Add the social icon url here.', 'medical-healthcare-elementor' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 20
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_enable_time_heading',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Operating Time', 'medical-healthcare-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Text', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_header_time_text',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Time', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_header_time',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_enable_location_heading',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Location', 'medical-healthcare-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Text', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_header_location_text',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Location Address', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_header_location',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_header_phone_number_heading',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'medical-healthcare-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Text', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_header_phone_number_text',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Phone Number', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_header_phone_number',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
		'sanitize_callback' => 'medical_healthcare_elementor_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_enable_button_heading',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( ' Header Button', 'medical-healthcare-elementor' ) . '</h3>',
		'priority'       => 11,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Button Text', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_header_button_text',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
		'priority'       => 12,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'    =>  esc_html__( 'Button URL', 'medical-healthcare-elementor' ),
		'settings' => 'medical_healthcare_elementor_header_button_url',
		'section'  => 'medical_healthcare_elementor_section_topbar',
		'default'  => '',
		'priority'       => 13,
	] );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'medical_healthcare_elementor_menu_color',
		'label'       => __( 'Menu Color', 'medical-healthcare-elementor' ),
		'type'        => 'color',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'transport' => 'auto',
		'priority'       => 14,
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a', '#main-menu ul li a', '#main-menu li a'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'medical_healthcare_elementor_menu_hover_color',
		'label'       => __( 'Menu Hover Color', 'medical-healthcare-elementor' ),
		'type'        => 'color',
		'priority'       => 15,
		'default'     => '#1565c0',
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'transport' => 'auto',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu a:hover', '#main-menu ul li a:hover', '#main-menu li:hover > a','#main-menu a:focus','#main-menu li.focus > a','#main-menu ul li.current-menu-item > a','#main-menu ul li.current_page_item > a','#main-menu ul li.current-menu-parent > a','#main-menu ul li.current_page_ancestor > a','#main-menu ul li.current-menu-ancestor > a'),
				'property' => 'color',
			),

		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'medical_healthcare_elementor_submenu_color',
		'label'       => __( 'Submenu Color', 'medical-healthcare-elementor' ),
		'type'        => 'color',
		'priority'       => 16,
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'transport' => 'auto',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a', '#main-menu ul.sub-menu li a'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'medical_healthcare_elementor_submenu_hover_color',
		'label'       => __( 'Submenu Hover Color', 'medical-healthcare-elementor' ),
		'type'        => 'color',
		'priority'       => 17,
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'transport' => 'auto',
		'default'     => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a:hover', '#main-menu ul.sub-menu li a:hover'),
				'property' => 'color',
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', array(
		'settings'    => 'medical_healthcare_elementor_submenu_hover_background_color',
		'label'       => __( 'Submenu Hover Background Color', 'medical-healthcare-elementor' ),
		'type'        => 'color',
		'priority'       => 18,
		'section'     => 'medical_healthcare_elementor_section_topbar',
		'transport' => 'auto',
		'default'     => '#1565c0',
		'choices'     => [
			'alpha' => true,
		],
		'output' => array(
			array(
				'element'  => array( '#main-menu ul.children li a:hover', '#main-menu ul.sub-menu li a:hover'),
				'property' => 'background',
			),
		),
	) );

	//ADDITIONAL SETTINGS

	Kirki::add_section( 'medical_healthcare_elementor_additional_setting', array(
		'title'          => esc_html__( 'Additional Settings', 'medical-healthcare-elementor' ),
		'description'    => esc_html__( 'Additional Settings of themes', 'medical-healthcare-elementor' ),
		'priority'       => 10,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'medical_healthcare_elementor_preloader_hide',
		'label'       => esc_html__( 'Here you can enable or disable your preloader.', 'medical-healthcare-elementor' ),
		'section'     => 'medical_healthcare_elementor_additional_setting',
		'default'     => '0',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'medical_healthcare_elementor_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'medical-healthcare-elementor' ),
		'section'     => 'medical_healthcare_elementor_additional_setting',
		'default'     => '0',
		'priority'    => 10,
	] );

	// POST SECTION

	Kirki::add_section( 'medical_healthcare_elementor_blog_post', array(
		'title'          => esc_html__( 'Post Settings', 'medical-healthcare-elementor' ),
		'description'    => esc_html__( 'Here you can add post information.', 'medical-healthcare-elementor' ),
		'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'medical_healthcare_elementor_date_hide',
		'label'       => esc_html__( 'Enable / Disable Post Date', 'medical-healthcare-elementor' ),
		'section'     => 'medical_healthcare_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'medical_healthcare_elementor_author_hide',
		'label'       => esc_html__( 'Enable / Disable Post Author', 'medical-healthcare-elementor' ),
		'section'     => 'medical_healthcare_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'medical_healthcare_elementor_comment_hide',
		'label'       => esc_html__( 'Enable / Disable Post Comment', 'medical-healthcare-elementor' ),
		'section'     => 'medical_healthcare_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_length_setting_heading',
		'section'     => 'medical_healthcare_elementor_blog_post',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Blog Post Content Limit', 'medical-healthcare-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'medical_healthcare_elementor_length_setting',
		'section'     => 'medical_healthcare_elementor_blog_post',
		'default'     => '15',
		'priority'    => 10,
		'choices'  => [
					'min'  => -10,
					'max'  => 40,
						'step' => 1,
				],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'label'       => esc_html__( 'Enable / Disable Single Post Tag', 'medical-healthcare-elementor' ),
		'settings'    => 'medical_healthcare_elementor_single_post_tag',
		'section'     => 'medical_healthcare_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'label'       => esc_html__( 'Enable / Disable Single Post Category', 'medical-healthcare-elementor' ),
		'settings'    => 'medical_healthcare_elementor_single_post_category',
		'section'     => 'medical_healthcare_elementor_blog_post',
		'default'     => '1',
		'priority'    => 10,
	] );

	// FOOTER SECTION

	Kirki::add_section( 'medical_healthcare_elementor_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'medical-healthcare-elementor' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'medical-healthcare-elementor' ),
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_footer_text_heading',
		'section'     => 'medical_healthcare_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'medical-healthcare-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'medical_healthcare_elementor_footer_text',
		'section'  => 'medical_healthcare_elementor_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'medical_healthcare_elementor_footer_enable_heading',
		'section'     => 'medical_healthcare_elementor_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'medical-healthcare-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'medical_healthcare_elementor_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'medical-healthcare-elementor' ),
		'section'     => 'medical_healthcare_elementor_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'medical-healthcare-elementor' ),
			'off' => esc_html__( 'Disable', 'medical-healthcare-elementor' ),
		],
	] );
}
